Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class FormButton

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.FormButton

Direct Known Subclasses:
  Reset, Submit

    public abstract class FormButton

extends UIBean

FormButton.

Field Summary
`protected String` | `action`
`protected String` | `align`
`(package private) static String` | `BUTTONTYPE_BUTTON`
`(package private) static String` | `BUTTONTYPE_IMAGE`
`(package private) static String` | `BUTTONTYPE_INPUT`
`protected String` | `method`
`protected String` | `type`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssStyle, defaultTemplateDir, defaultUITheme, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, id, parameters, stack`

Constructor Summary
`FormButton(ValueStack stack, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`protected void` | `populateComponentHtmlId(Form form)` Override UIBean's implementation, such that component Html id is determined in the following order :- This component id attribute [containing_form_id]_[this_component_name] [containing_form_id]_[this_component_action]_[this_component_method] [containing_form_id]_[this_component_method] [this_component_name] [this_component_action]_[this_component_method] [this_component_method] [an increasing sequential number unique to the form starting with 0]
`void` | `setAction(String action)`
`void` | `setAlign(String align)`
`void` | `setMethod(String method)`
`void` | `setType(String type)`
`protected abstract boolean` | `supportsImageType()` Indicate whether the concrete button supports the type "image".

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, setAccesskey, setCssClass, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getComponentStack, getId, getParameters, getStack, popComponentStack, setActionMapper, setId, start, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUTTONTYPE_INPUT

    static final String BUTTONTYPE_INPUT

See Also:
  Constant Field Values

### BUTTONTYPE_BUTTON

    static final String BUTTONTYPE_BUTTON

See Also:
  Constant Field Values

### BUTTONTYPE_IMAGE

    static final String BUTTONTYPE_IMAGE

See Also:
  Constant Field Values

### action

    protected String action

### method

    protected String method

### align

    protected String align

### type

    protected String type

Constructor Detail

### FormButton

    public FormButton(ValueStack stack,
                      HttpServletRequest request,
                      HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### populateComponentHtmlId

    protected void populateComponentHtmlId(Form form)

  Override UIBean's implementation, such that component Html id is determined in the following order :-
  1. This component id attribute
  2. [containing_form_id]_[this_component_name]
  3. [containing_form_id]_[this_component_action]_[this_component_method]
  4. [containing_form_id]_[this_component_method]
  5. [this_component_name]
  6. [this_component_action]_[this_component_method]
  7. [this_component_method]
  8. [an increasing sequential number unique to the form starting with 0]

  Overrides:
    `populateComponentHtmlId` in class `UIBean`

### supportsImageType

    protected abstract boolean supportsImageType()

  Indicate whether the concrete button supports the type "image".

  Returns:
    `true` if type image is supported.

### setAction

    public void setAction(String action)

### setMethod

    public void setMethod(String method)

### setAlign

    public void setAlign(String align)

### setType

    public void setType(String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.